%define xmms_inputdir %(xmms-config --input-plugin-dir)

%define sourceversion 0.8.0beta19

Summary: SID music input plugin for X MultiMedia System (XMMS)
Name: xmms-sid
Version: 0.8.0
Release: 0.8.beta19%{?dist}
URL: http://www.tnsp.org/xmms-sid.php
License: GPLv2+
Group: Applications/Multimedia
Source0: http://www.tnsp.org/xs-files/%{name}-%{sourceversion}.tar.bz2
Source1: http://www.tnsp.org/xs-files/%{name}-%{sourceversion}.tar.bz2.asc
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: xmms-devel libsidplay-devel
BuildRequires: glib-devel gtk+-devel

%description
XMMS-SID is a plugin for XMMS (X MultiMedia System) which provides
support for playing the so-called "SID tunes". For the actual playing,
XMMS-SID uses the libsidplay emulator engine.

If you are not familiar with the term "SID tune" or "SID" concept at
all, a short (yes it is! ;-) explanation follows:

SID is the MOS-6581 (and MOS-8580) sound chip that was used in many of the
old 8-bit home computers manufactured by Commodore Inc. in 1980's. Best
known of those was the Commodore 64 home computer (aka C64 or CBM64, also
known as VIC-64 in some countries).

%prep
%setup -q -n %{name}-%{sourceversion}


%build
%configure --libdir=%{xmms_inputdir}
make %{?_smp_mflags}


%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} install
rm -f %{buildroot}/%{xmms_inputdir}/*.la
rm -f %{buildroot}%{_datadir}/%{name}/Kummatti_City.sid
%find_lang %{name}


%clean
rm -rf %{buildroot}


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS BUGS COPYING ChangeLog FAQ NEWS README THANKS TODO
%{xmms_inputdir}/*.so


%changelog
* Mon Jul 27 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.0-0.8.beta19
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.0-0.7.beta19
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Sep  3 2008 Michael Schwendt <mschwendt@fedoraproject.org> - 0.8.0-0.6.beta19
- update to beta19

* Fri Feb 08 2008 Michael Schwendt <mschwendt@fedoraproject.org>
- rebuilt for GCC 4.3 as requested by Fedora Release Engineering

* Tue Aug 21 2007 Michael Schwendt <mschwendt@fedoraproject.org>
- rebuilt

* Thu Aug  2 2007 Michael Schwendt <mschwendt@fedoraproject.org> - 0.8.0-0.3.beta17
- Upgrade to 0.8.0beta17, add translation message object files.
- Clarify licence (GPLv2+).

* Mon Aug 28 2006 Michael Schwendt <mschwendt@fedoraproject.org>
- rebuilt

* Sat Apr  8 2006 Michael Schwendt <mschwendt@fedoraproject.org> - 0.8.0-0.2.beta15
- remove explicit dep on "xmms" and rely on soname dep

* Sat Feb 18 2006 Michael Schwendt <mschwendt@fedoraproject.org> - 0.8.0-0.1.beta15
- upgrade to 0.8.0beta15 which upstream has declared as stable

* Sun May 22 2005 Jeremy Katz <katzj@redhat.com> - 0.7.4-6
- rebuild on all arches

* Fri Apr  7 2005 Michael Schwendt <mschwendt@fedoraproject.org>
- rebuilt

* Wed Nov 10 2004 Michael Schwendt <mschwendt@fedoraproject.org> 0:0.7.4-4
- Fix src/xmms-sid.cc for GCC 3.4/FC3.

* Fri May 02 2003 Panu Matilainen <pmatilai@welho.com> 0:0.7.4-0.fdr.3
- patch to make it honor rpm optflags
- use bz2 source instead of gz

* Mon Apr 28 2003 Panu Matilainen <pmatilai@welho.com> 0:0.7.4-0.fdr.2
- add missing Epoch's

* Mon Mar 24 2003 Panu Matilainen <pmatilai@welho.com>
- Initial Fedora packaging.
